/*
 * mcp4725.h
 *
 * Simple MCP725 12b I2C DAC Driver
 *
 * Created: 5. 6. 2023 10:52:00
 *  Author: greif
 */ 


#ifndef MCP4725_H_
#define MCP4725_H_

#include <stdio.h>


#ifndef F_CPU
#define F_CPU 16000000UL
#endif

// If not defined otherwise, set the MCP4725 address to 0x60
#ifndef DAC_ADDR
#define DAC_ADDR 0x60
#endif


// Define MCP4725 range (12b)
#define DAC_MIN 0
#define DAC_MAX 4095


void resetDAC();
void DACInit();
void writeDAC(const uint16_t value, const int EEPROM);
void readDACRegister(uint8_t *buffer, const uint8_t length);
int DACReady();
uint16_t readEEPROM();
uint16_t readDACValue();
int setDACValue(uint16_t value, const int persistent);


#endif /* MCP4725_H_ */